/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package a0b36pr2_du2.rychly_balik.model.doprava;

/**
 *
 * @author hapallen
 */
public abstract class Doprava {

    public static final String TO_STRING_FORMAT =
            "%15s: %10.2f kg - %10.2f km/h - %10.2f Kč/km";

    abstract public double getNosnost();

    abstract public double getCenaZaVzdalenost(double vzdalenost);

    public enum TypDopravy {

        UNKNOW("nezadáno",true, true),DODAVKA("Dodávka", false, false), KOLO("Kolo", true, true), MHD("MHD", true, false), PickUp("Pickup", true, false);
        private String name;
        private boolean nosnostEditable;
        private boolean rychlostEditable;

        private TypDopravy(String name, boolean nosnostEditable, boolean rychlostEditable) {
            this.name = name;
            this.nosnostEditable = nosnostEditable;
            this.rychlostEditable = rychlostEditable;
        }

        public String getName() {
            return name;
        }

        public boolean isNosnostEditable() {
            return nosnostEditable;
        }

        public boolean isRychlostEditable() {
            return rychlostEditable;
        }
        
         @Override
        public String toString() {
            return this.name;
        }

    }
}
