/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package a0b36pr2_du2.rychly_balik.model.personalistika;

/**
 *
 * @author hapallen
 */
public class Pracovnik {

    /**
     * tato enumereace zde vubec nemusi byt, je zde pouze
     * z duvodu vypisu oznaceni typu pracovnika
     */
    public enum TypPracovnika{
        ADM("Administrativni"), EXEC("Vykonny");

        private String name;

        private TypPracovnika(String name) {
            this.name = name;
        }

        public String getName() {
            return name;
        }
    }


    private String jmeno;
    private String prijmeni;
    private TypPracovnika typPracovnika;


    protected Pracovnik(String jmeno, String prijmeni) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
    }


    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    public TypPracovnika getTypPracovnika() {
        return typPracovnika;
    }

    public void setTypPracovnika(TypPracovnika typPracovnika) {
        this.typPracovnika = typPracovnika;
    }

    @Override
    public String toString() {
        return String.format("%15s %15s %20s",getJmeno(),getPrijmeni(), getTypPracovnika().getName() );
    }

    
    public String getJmenoAPrijmeni(){
        return getJmeno()+ " "+ getPrijmeni();
    }




}
