
/*
 * EditPracovnikJDialog.java
 *
 * Created on 21.3.2010, 13:11:37
 */
package a0b36pr2_du2.rychly_balik.gui;

import a0b36pr2_du2.rychly_balik.model.RychlyBalikDataService;
import a0b36pr2_du2.rychly_balik.model.RychlyBalikException;
import a0b36pr2_du2.rychly_balik.model.doprava.Riditelny.Opravneni;
import a0b36pr2_du2.rychly_balik.model.personalistika.AdministrativniPracovnik;
import a0b36pr2_du2.rychly_balik.model.personalistika.Pracovnik;
import a0b36pr2_du2.rychly_balik.model.personalistika.VykonnyPracovnik;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author hapallen
 */
public class EditPracovnikJDialog extends EditJdialog {


    private javax.swing.JRadioButton admRadioButton;
    private javax.swing.ButtonGroup typPracovnikaButtonGroup;
    private javax.swing.JRadioButton execRadioButton;
    private javax.swing.JButton cancelButton;
    private javax.swing.JComboBox opravneniComboBox;
    private javax.swing.JLabel jmenoLabel;
    private javax.swing.JLabel prijmeniLabel;
    private javax.swing.JLabel opravneniLabel;
    private javax.swing.JLabel typPracovnikaLabel;
    private javax.swing.JTextField jmenoTextField;
    private javax.swing.JTextField prijmeniTextField;
    private javax.swing.JButton saveButton;

    public EditPracovnikJDialog(RychlyBalikGui parent, boolean modal,  RychlyBalikDataService dataModel) {
        super(parent, modal, dataModel);
    }

    protected void createGui() {
        typPracovnikaButtonGroup = new javax.swing.ButtonGroup();
        jmenoLabel = new javax.swing.JLabel();
        prijmeniLabel = new javax.swing.JLabel();
        opravneniComboBox = new javax.swing.JComboBox();
        opravneniLabel = new javax.swing.JLabel();
        typPracovnikaLabel = new javax.swing.JLabel();
        saveButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();
        admRadioButton = new javax.swing.JRadioButton();
        execRadioButton = new javax.swing.JRadioButton();
        jmenoTextField = new javax.swing.JTextField();
        prijmeniTextField = new javax.swing.JTextField();

        jmenoLabel.setText("Jméno:");
        prijmeniLabel.setText("Příjmení:");
        opravneniComboBox.setModel(new javax.swing.DefaultComboBoxModel(Opravneni.values()));
        opravneniLabel.setText("Oprávnění: ");
        typPracovnikaLabel.setText("Typ pracovníka: ");
        saveButton.setText("Ulož");
        saveButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                save(evt);
            }
        });

        cancelButton.setText("Zruš");
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancel(evt);
            }
        });

        admRadioButton.setText("Administrativní");
        execRadioButton.setText("Výkonný");

        typPracovnikaButtonGroup.add(admRadioButton);
        typPracovnikaButtonGroup.add(execRadioButton);

        //http://www.dil.univ-mrs.fr/~garreta/docJava/tutorial/uiswing/layout/groupExample.html
        javax.swing.GroupLayout layout =
                new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).
                addGroup(layout.createSequentialGroup().addGroup(layout.
                createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).
                addGroup(layout.createSequentialGroup().addGap(28, 28, 28).
                addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).
                addGroup(layout.createSequentialGroup().addComponent(opravneniLabel).
                addGap(18, 18, 18).addComponent(opravneniComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)).
                addGroup(layout.createSequentialGroup().addComponent(prijmeniLabel).
                addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED).
                addComponent(prijmeniTextField, javax.swing.GroupLayout.DEFAULT_SIZE, 286, Short.MAX_VALUE)).
                addGroup(layout.createSequentialGroup().addGroup(layout.
                createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING).
                addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.
                createSequentialGroup().addComponent(jmenoLabel).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).
                addComponent(jmenoTextField, javax.swing.GroupLayout.DEFAULT_SIZE, 164, Short.MAX_VALUE)).
                addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.
                createSequentialGroup().addComponent(typPracovnikaLabel).addGap(34, 34, 34).
                addComponent(admRadioButton))).addGap(18, 18, 18).addComponent(execRadioButton).
                addGap(37, 37, 37)))).addGroup(layout.createSequentialGroup().
                addGap(146, 146, 146).addComponent(saveButton).addGap(47, 47, 47).
                addComponent(cancelButton))).addContainerGap(132, Short.MAX_VALUE)));
        layout.setVerticalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).
                addGroup(layout.createSequentialGroup().addGap(40, 40, 40).
                addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).
                addComponent(jmenoLabel).addComponent(jmenoTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)).
                addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).
                addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).
                addComponent(prijmeniLabel).addComponent(prijmeniTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)).
                addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).
                addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).
                addComponent(typPracovnikaLabel).addComponent(admRadioButton).
                addComponent(execRadioButton)).addGap(29, 29, 29).addGroup(layout.
                createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).
                addComponent(opravneniLabel).addComponent(opravneniComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)).
                addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 35, Short.MAX_VALUE).
                addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).
                addComponent(saveButton).addComponent(cancelButton)).
                addContainerGap()));

        pack();
    }

    protected void saveToObject(java.awt.event.ActionEvent evt) throws RychlyBalikException{
        Pracovnik p = null;
        if (admRadioButton.isSelected()) {
            p = new AdministrativniPracovnik(jmenoTextField.getText(), prijmeniTextField.
                    getText());
        } else if (execRadioButton.isSelected()) {
            p = new VykonnyPracovnik(jmenoTextField.getText(), prijmeniTextField.
                    getText(), (Opravneni)opravneniComboBox.
                    getSelectedItem());
        } else {
            throw new RychlyBalikException("Je treba zvolit typ pracovnika");
        }
        dataModel.pridejPracovnika(p);
        parentGui.aktualizujPracovniciGui();
    }

}
