/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package a0b36pr2_du2.rychly_balik.model.personalistika;

import a0b36pr2_du2.rychly_balik.model.doprava.Doprava;
import a0b36pr2_du2.rychly_balik.model.doprava.Riditelny;
import a0b36pr2_du2.rychly_balik.model.doprava.Riditelny.Opravneni;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author hapallen
 */
public class VykonnyPracovnik extends Pracovnik  {

    private Set<Opravneni> opravneni = new HashSet<Riditelny.Opravneni>();


    public VykonnyPracovnik(String jmeno, String prijmeni, Set<Opravneni> opravneni) {
        super(jmeno, prijmeni);
        setOpravneni(opravneni);
        setTypPracovnika(TypPracovnika.EXEC);
    }

        public VykonnyPracovnik(String jmeno, String prijmeni, Opravneni opravneni) {
        super(jmeno, prijmeni);
        this.opravneni.add(opravneni);
        setTypPracovnika(TypPracovnika.EXEC);
    }

    public void setOpravneni(Set<Opravneni> opravneni) {
        this.opravneni = opravneni;
    }

    public Set<Opravneni> getOpravneni() {
        return opravneni;
    }

    /**
     *
     * @param doprava
     * @return true, pkud muze tento pracovnik ridit dany dopravni postredek, jinak false
     */
    public boolean muzeRidit(Doprava doprava){
        if(doprava instanceof Riditelny){
            Riditelny r = (Riditelny) doprava;
            if(opravneni.contains(r.getOpravneni())){
               return true;
            }
        }
        return false;
    }


        @Override
    public String toString() {
        return String.format("%15s %15s %20s %15s",getJmeno(),getPrijmeni(), getTypPracovnika().getName(), getOpravneni() );
    }
}
